import { autoinject } from "aurelia-dependency-injection";

@autoinject
export class PitayaAppViewCustomElement
{
	public isOnline: boolean       = true;
	public currentViewName: string = "";

	private _routerViewElement: HTMLElement;

	get routerViewElement(): HTMLElement
	{
		return this._routerViewElement;
	}

	get rootElement(): HTMLElement
	{
		return this._rootElement as HTMLElement;
	}

	constructor( private _rootElement: Element ){}
}